import { NumVal } from '../types';
import { HsizeOptions, Hsizes } from './fonts';
export declare type SizeOptions = {
    font?: {
        base?: NumVal;
        h?: Hsizes;
    } & HsizeOptions;
    gutter?: {
        mobile?: NumVal;
        tablet?: NumVal;
        sdesk?: NumVal;
        ldesk?: NumVal;
    };
    header?: {
        mobile?: NumVal;
        tablet?: NumVal;
        sdesk?: NumVal;
    };
    [x: string]: any;
};
export declare type Sizes = {
    font: {
        base: NumVal;
    } & Hsizes;
    gutter: {
        mobile: NumVal;
        tablet: NumVal;
        sdesk: NumVal;
        ldesk: NumVal;
    };
    header: {
        mobile: NumVal;
        tablet: NumVal;
        sdesk: NumVal;
    };
};
export declare const defaultSizes: Sizes;
export declare const createSizes: (options?: SizeOptions) => Sizes;
