"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSizes = exports.defaultSizes = void 0;
const fonts_1 = require("./fonts");
exports.defaultSizes = {
    font: Object.assign({ base: {
            num: 15,
            val: '15px',
        } }, fonts_1.generateHsizes()),
    gutter: {
        mobile: {
            num: 1.1,
            val: '1.1em',
        },
        tablet: {
            num: 0.5,
            val: '0.5vw',
        },
        sdesk: {
            num: 4,
            val: '4vw',
        },
        ldesk: {
            num: 6,
            val: '6vw',
        },
    },
    header: {
        mobile: {
            num: 40,
            val: '40px',
        },
        tablet: {
            num: 50,
            val: '50px',
        },
        sdesk: {
            num: 80,
            val: '80px',
        },
    },
};
const createSizes = (options = {}) => {
    return Object.assign(Object.assign({}, exports.defaultSizes), options);
};
exports.createSizes = createSizes;
//# sourceMappingURL=sizes.js.map