export declare type TimeOptions = {
    short?: number;
    med?: number;
    long?: number;
    ease?: string;
    [x: string]: any;
};
export declare type Times = {
    tranS: string;
    tranM: string;
    tranL: string;
    short: number;
    med: number;
    long: number;
    ease: string;
};
export declare const defaultTimes: {
    short: number;
    med: number;
    long: number;
    ease: string;
};
export declare const createTimes: (options?: TimeOptions) => Times;
