"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTimes = exports.defaultTimes = void 0;
exports.defaultTimes = {
    short: 100,
    med: 250,
    long: 500,
    ease: 'ease-in-out',
};
const createTimes = (options = {}) => {
    const config = Object.assign(Object.assign({}, exports.defaultTimes), options);
    return Object.assign({ tranS: `${config.short}ms ${config.ease}`, tranM: `${config.med}ms ${config.ease}`, tranL: `${config.long}ms ${config.ease}` }, config);
};
exports.createTimes = createTimes;
//# sourceMappingURL=times.js.map