import { ColorValues, Fallbacks } from './colors';
declare type Config = {
    colors: ColorValues;
    fallbacks: Fallbacks;
};
export declare class SwfColor {
    val: string;
    name: string;
    private conf;
    private config;
    constructor(colorName: string, config: Config);
    dark: (val?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | '0' | '1' | '2' | '3' | '4' | '5' | '6' | number) => SwfColor;
    light: (val?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | '0' | '1' | '2' | '3' | '4' | '5' | '6' | number) => SwfColor;
    bright: (val?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | '0' | '1' | '2' | '3' | '4' | '5' | '6' | number) => SwfColor;
    sat: (val?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | '0' | '1' | '2' | '3' | '4' | '5' | '6' | number) => SwfColor;
    desat: (val?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | '0' | '1' | '2' | '3' | '4' | '5' | '6' | number) => SwfColor;
    tint: (val?: number) => SwfColor;
    invert: () => SwfColor;
}
export {};
